---
title: "Get appointment by ID"
url: "https://developer.agentsync.io/apis/producer-sync-api/versions/953bc6f0-354b-4960-adc0-3acdb3d638a2/operations/getAppointmentById"
---

> Full API specification: https://developer.agentsync.io/apis/producer-sync-api/versions/953bc6f0-354b-4960-adc0-3acdb3d638a2.md

# Get appointment by ID

`GET` `/v1/appointments/{id}`

Operation ID: `getAppointmentById`

Retrieves a single appointment record using its unique address ID.

## Path parameters

- `id` (integer, required) - Unique appointment ID

## Responses

- `200` - Success
- `400` - Bad Request
- `401` - Unauthorized
- `403` - Forbidden
- `404` - Not Found
- `405` - Method Not Allowed
- `429` - Too Many Requests
- `500` - Internal Server Error
- `504` - Gateway Timeout

## OpenAPI definition

```yaml
openapi: 3.1.1
info:
  title: ProducerSync API
  version: v2.80.2
servers:
  - url: https://api.sandbox.agentsync.io
    description: Sandbox
paths:
  /v1/appointments/{id}:
    get:
      tags:
        - Producer Appointments
      operationId: getAppointmentById
      summary: Get appointment by ID
      description: |
        Retrieves a single appointment record using its unique address ID.
      parameters:
        - name: id
          in: path
          description: Unique appointment ID
          required: true
          schema:
            type: integer
      responses:
        "200":
          description: Success
          content:
            application/hal+json:
              schema:
                $ref: "#/components/schemas/AppointmentsV1"
          headers:
            ratelimit-limit:
              $ref: "#/components/headers/ratelimit-limit"
            ratelimit-remaining:
              $ref: "#/components/headers/ratelimit-remaining"
            ratelimit-reset:
              $ref: "#/components/headers/ratelimit-reset"
        "400":
          $ref: "#/components/responses/400BadRequest"
        "401":
          $ref: "#/components/responses/401Unauthorized"
        "403":
          $ref: "#/components/responses/403Forbidden"
        "404":
          $ref: "#/components/responses/404NotFound"
        "405":
          $ref: "#/components/responses/405MethodNotAllowed"
        "429":
          $ref: "#/components/responses/429TooManyRequests"
        "500":
          $ref: "#/components/responses/500InternalServerError"
        "504":
          $ref: "#/components/responses/504GatewayTimeout"
components:
  schemas:
    AppointmentsV1:
      allOf:
        - $ref: "#/components/schemas/AppointmentsBaseResponse"
        - type: object
          properties:
            links:
              $ref: "#/components/schemas/SelfLink"
    AppointmentsBaseResponse:
      type: object
      description: Base schema containing common appointment fields.
      properties:
        id:
          type: integer
          format: int64
          description: Unique identifier for the appointment.
          example: 1234567
        npn:
          type: string
          description: National Producer Number associated with the appointment.
          example: "18551108"
        transactionId:
          type: string
          format: uuid
          example: ae51f10b-8b5e-40ba-98a9-8f860392b344
        forState:
          type: string
          description: Two-letter state code where the appointment applies.
          example: AL
          minLength: 2
          maxLength: 2
        branchId:
          type: string
          description: Optional branch identifier.
          example: ""
        companyName:
          type: string
          description: Name of the appointing insurance company.
          example: My Insurance Company
        feinId:
          type: string
          description: Federal Employer Identification Number (FEIN) of the company.
          example: ""
        coCode:
          type: string
          description: 5-digit company code.
          example: "98765"
          minLength: 5
          maxLength: 5
        loa:
          type: string
          description: Line of Authority (LOA) name.
          example: Property
        loaCode:
          type: string
          description: Line of Authority code (may be numeric or alphanumeric).
          example: "12"
        status:
          type: string
          description: Appointment status (e.g., Active, Terminated).
          example: Terminated
        statusReasonDate:
          type: string
          format: date
          description: Date when the current status took effect.
          example: 2024-02-29
        createdAt:
          type: string
          format: date
          example: 2021-04-04
          description: Date of the creation of this record in AgentSync.
        updatedAt:
          type: string
          format: date
          example: 2024-12-02
          description: Date of the most recent update to this record in AgentSync.
        terminationReason:
          type: string
          description: Reason for termination, if applicable.
          example: Not for Cause
        countyCode:
          type: string
          description: Optional county code.
          example: ""
        loaMapping:
          $ref: "#/components/schemas/LoaMapping"
        niprDeleted:
          type: boolean
          description: Indicates if the appointment is marked as deleted by NIPR.
          example: false
    SelfLink:
      type: object
      properties:
        self:
          type: object
          properties:
            href:
              type: string
              example: https://api.sandbox.agentsync.io/v1/{endpoint}/{id}
    LoaMapping:
      type: object
      properties:
        categories:
          type: array
          items:
            type: string
          example:
            - property
            - health
            - casualty
  headers:
    ratelimit-limit:
      description: Maximum number of requests allowed in the current window
      schema:
        type: integer
    ratelimit-remaining:
      description: Number of requests remaining in the current window
      schema:
        type: integer
    ratelimit-reset:
      description: Time when the rate limit will reset
      schema:
        type: integer
  responses:
    400BadRequest:
      description: Bad Request
      content:
        application/json:
          schema:
            type: object
            properties:
              timestamp:
                type: integer
                example: 1742929112
              status:
                type: integer
                example: 400
              error:
                type: string
                example: Bad Request
              message:
                type: string
                example: Invalid parameter values provided - {parameter}:[{invalid values}]
              path:
                type: string
                example: "{endpoint_path}"
    401Unauthorized:
      description: Unauthorized
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                example: Unauthorized
    403Forbidden:
      description: Forbidden
      content:
        application/json:
          schema:
            type: object
            properties:
              timestamp:
                type: integer
                example: 1742935636
              status:
                type: integer
                example: 403
              path:
                type: string
                example: "{requested endpoint}"
              error:
                type: string
                example: Forbidden
    404NotFound:
      description: Not Found
      content:
        application/json:
          schema:
            type: object
            properties:
              timestamp:
                type: integer
                example: 1742929112
              status:
                type: integer
                example: 404
              error:
                type: string
                example: Not Found
              message:
                type: string
                example: Error message describing what was not found
              path:
                type: string
                example: "{requested endpoint}"
    405MethodNotAllowed:
      description: Method Not Allowed
      content:
        application/json:
          schema:
            type: object
            properties:
              type:
                type: string
                example: about:blank
              status:
                type: integer
                example: 405
              detail:
                type: string
                example: Method 'PUT' is not supported.
              instance:
                type: string
                example: "{requested endpoint}"
    429TooManyRequests:
      description: Too Many Requests
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                example: API rate limit exceeded
    500InternalServerError:
      description: Internal Server Error
      content:
        application/json:
          schema:
            type: object
            properties:
              timestamp:
                type: integer
                example: 1613510729601
              status:
                type: integer
                example: 500
              error:
                type: string
                example: Internal Server Error
              message:
                type: string
                example: Error message describing why this was a server error.
              path:
                type: string
                example: "{requested endpoint}"
    504GatewayTimeout:
      description: Gateway Timeout
```
